﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamGridPaging
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.xamGrid1.ItemsSource = CreatePerson();
        }

        private void xamGrid1_PageIndexChanged(object sender, Infragistics.Controls.Grids.PageChangedEventArgs e)
        {
            // Reload the grid with different object
            this.xamGrid1.ItemsSource = CreateCustomers();
        }

        #region CreatePerson method
        private ObservableCollection<Person> CreatePerson()
        {
            var persons = new ObservableCollection<Person>();
            for (int i = 0; i < 10; i++)
            {
                persons.Add(new Person("Tom", "Hanks"));
            }
            return persons;
        } 
        #endregion

        #region CreaetCustomer method
        private ObservableCollection<Customer> CreateCustomers()
        {
            var customers = new ObservableCollection<Customer>();
            for (int i = 0; i < 10; i++)
            {
                customers.Add(new Customer(i, new Name("James", "Bond")));
            }
            return customers;
        } 
        #endregion
    }
}
